#!/bin/bash
# ----------------------
# llxcfg-policyfuncs.sh
# ----------------------
#
# ----------------------------------------------------------
# Sept 2006. Luis Garcia <garcia_luigis@gva.es> for LliureX
# ----------------------------------------------------------
#
# -------------------------------------------------------------------------
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston MA 02110-1301 USA
# -------------------------------------------------------------------------
#

# ----------
# VARIABLES 
# ----------
POLICY_DIR="/var/lib/llxcfg/llxcfg-policy"

LLX_COMMONLIB="install/usr/share/lliurex/llxcfg-common/llxcfg-common.sh"
[ -f "${LLX_COMMONLIB}" ] && . ${LLX_COMMONLIB}

# ----------
# FUNCTIONS
# ----------

llxpol_test_active_script(){
   [ -e "${POLICY_DIR}/${1}" ] && return 1
   return 0
}
